<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/URLConfig/XHXURLConfig.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_u_r_l_config_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXURLConfig.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_u_r_l_config_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXURLConfig.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by orange on 2018/4/10.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_x_h_x_u_r_l_config_8h.html">XHXURLConfig.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_u_r_l_fetch_task_8h.html">URLFetchTask.h</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;KKLThirdParty/YYModel.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_x_h_x_env_url_loader_8h.html">XHXEnvUrlLoader.h</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &lt;XHXRouter/XHXRouter.h&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#import &lt;XHXKit/KKLOnlineRoutePaths.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#adaee12d5d913085d37df8cb1f78a7660">   16</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#adaee12d5d913085d37df8cb1f78a7660">XHXGlobalApiUrl</a> = <span class="stringliteral">@&quot;kapi_url_list&quot;</span>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a30dff0275b5198e72899ed87b244621f">   18</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a30dff0275b5198e72899ed87b244621f">XHXWebSocketURL</a> = <span class="stringliteral">@&quot;WEB_SOCKET_URL&quot;</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a33deb3a8b0a28ffacdb15169d8a8386e">   19</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a33deb3a8b0a28ffacdb15169d8a8386e">XHXH5URLErrorBook</a> = <span class="stringliteral">@&quot;h5url_errorbook&quot;</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a393889240a2e1bb145bcaeac49fb3109">   20</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a393889240a2e1bb145bcaeac49fb3109">XHXH5URLWeekReport</a> = <span class="stringliteral">@&quot;h5url_weekreport&quot;</span>;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#abe597e6a3a1b0145f6c18f45851c4e40">   21</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#abe597e6a3a1b0145f6c18f45851c4e40">XHXH5URLAboutUs</a> = <span class="stringliteral">@&quot;h5url_aboutus&quot;</span>;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a04ab980517fde16969e8545f4090ad98">   22</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a04ab980517fde16969e8545f4090ad98">XHXH5URLCourse</a> = <span class="stringliteral">@&quot;h5url_course&quot;</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a373e0cb97ee72202527c65a4b3d3177c">   23</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a373e0cb97ee72202527c65a4b3d3177c">XHXH5URLTeacher</a> = <span class="stringliteral">@&quot;h5url_teacher&quot;</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#ab174655c3ba37030dcf5a2053823c559">   24</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#ab174655c3ba37030dcf5a2053823c559">XHXH5URLessonsSum</a> = <span class="stringliteral">@&quot;h5url_lessonsum&quot;</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a98cb4a0d14372a3ac0c49f1acf0c2d2e">   25</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a98cb4a0d14372a3ac0c49f1acf0c2d2e">XHXH5URLUserProtocol</a> = <span class="stringliteral">@&quot;h5url_userprotocol&quot;</span>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a25b97595a1fffce296a851b5cd3f913d">   26</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a25b97595a1fffce296a851b5cd3f913d">XHXH5URDownload</a> = <span class="stringliteral">@&quot;h5url_download&quot;</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a481b75bbcbace5d55b685931fe2a1e08">   27</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a481b75bbcbace5d55b685931fe2a1e08">XHXH5URLSummary</a> = <span class="stringliteral">@&quot;h5url_summary&quot;</span>;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a9ba11dc72ac70c6770cab5e514992180">   28</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a9ba11dc72ac70c6770cab5e514992180">XHXH5URLearReport</a> = <span class="stringliteral">@&quot;h5url_year_report&quot;</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a89646e5582fabeb61e5b7b4cba96009f">   29</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a89646e5582fabeb61e5b7b4cba96009f">XHXH5URLShareYearReport</a> = <span class="stringliteral">@&quot;h5url_shareyearreport&quot;</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a634f310f026e991b53f226752fa4ecd3">   30</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a634f310f026e991b53f226752fa4ecd3">XHXH5URLHomework</a> = <span class="stringliteral">@&quot;h5url_homework&quot;</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a187f90995ba39c1c1cc470fbe6bea644">   31</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a187f90995ba39c1c1cc470fbe6bea644">XHXH5URLClassicQuestion</a> = <span class="stringliteral">@&quot;h5url_classic_question&quot;</span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a2404efaa9f11e44364b9ec8a5c455e12">   32</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a2404efaa9f11e44364b9ec8a5c455e12">XHXH5URLLearningReport</a> = <span class="stringliteral">@&quot;h5url_learning_report&quot;</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#ab880c362182f704adebce4446d44c0a0">   33</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#ab880c362182f704adebce4446d44c0a0">XHXH5URLReport</a> = <span class="stringliteral">@&quot;h5url_report&quot;</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#aeca2885c076e2a6614eeeaf7e94bb79d">   34</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#aeca2885c076e2a6614eeeaf7e94bb79d">XHXH5URLRank</a> = <span class="stringliteral">@&quot;h5url_rank&quot;</span>;</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a3ec3c2e1a8886b39f6e1170200b6d99b">   35</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a3ec3c2e1a8886b39f6e1170200b6d99b">XHXH5URLConfirmOrder</a> = <span class="stringliteral">@&quot;h5url_confirmorder&quot;</span>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a84a1883e647e9b930bb3434eed6ec149">   36</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a84a1883e647e9b930bb3434eed6ec149">XHXH5URLPaySuccess</a> = <span class="stringliteral">@&quot;h5url_paysucc&quot;</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a95f4bbc470574f450f2a2af3160a8350">   37</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a95f4bbc470574f450f2a2af3160a8350">XHXH5URLLiveDetail</a> = <span class="stringliteral">@&quot;h5url_live_detail&quot;</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a3259d7dd84cb1dcfc07376fa4f43839f">   38</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a3259d7dd84cb1dcfc07376fa4f43839f">XHXH5URLPOINT</a> = <span class="stringliteral">@&quot;h5url_point&quot;</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a6d876928447522dc4ff9d46a5c90b1a6">   39</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a6d876928447522dc4ff9d46a5c90b1a6">XHXH5URLAchievementShare</a> = <span class="stringliteral">@&quot;h5url_achievement_share&quot;</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a7ee52f2927d631ff8af44697fc1b1efb">   40</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a7ee52f2927d631ff8af44697fc1b1efb">XHXH5URLInviteAwardH5Url</a> = <span class="stringliteral">@&quot;h5url_invite_award&quot;</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a29f8e637003d0d85e052f8a1f4ea8338">   42</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a29f8e637003d0d85e052f8a1f4ea8338">XHXH5URLJoinGroupDetail</a> = <span class="stringliteral">@&quot;h5url_join_group&quot;</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#ac1c74e818b26716c57b93b48b5530455">   43</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#ac1c74e818b26716c57b93b48b5530455">XHXH5URLJointOffer</a> = <span class="stringliteral">@&quot;h5url_joint_offer&quot;</span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#aebf7b01e3016df35a621fdb2266539c2">   45</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#aebf7b01e3016df35a621fdb2266539c2">XHXH5URLCombinedCourseDetail</a> = <span class="stringliteral">@&quot;combine_product_detail_h5_url&quot;</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a2528e238becb8766525670fa9a828d03">   46</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a2528e238becb8766525670fa9a828d03">XHXH5URLProductCourseDetail</a> = <span class="stringliteral">@&quot;product_detail_h5_url&quot;</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a08047bf7f28cfe60a5d97b0250a314e0">   47</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a08047bf7f28cfe60a5d97b0250a314e0">XHXH5URLCertificateDetail</a> = <span class="stringliteral">@&quot;courseCertDetailH5Url&quot;</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a0838d5701314ee1ac1d594c97d92642d">   48</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a0838d5701314ee1ac1d594c97d92642d">XHXH5URLUserCenterExistActivity</a> = <span class="stringliteral">@&quot;recommend_list_h5_url&quot;</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#af7dd6c4e67baa8020c49c4996a8dc44e">   49</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#af7dd6c4e67baa8020c49c4996a8dc44e">XHXH5URLUserCenterOrder</a> = <span class="stringliteral">@&quot;order_list_h5_url&quot;</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a8482b5ab9f8b01be9e96d1f7ce813710">   50</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a8482b5ab9f8b01be9e96d1f7ce813710">XHXH5URLUserExchangeCourseCenter</a> = <span class="stringliteral">@&quot;course_change_h5_url&quot;</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a40e74b9e955d71116e73a4f1f81065e5">   51</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a40e74b9e955d71116e73a4f1f81065e5">XHXXSCMode</a> = <span class="stringliteral">@&quot;xsc_model&quot;</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a1e0cf7b4789f26841329aca01d6b0b9a">   52</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a1e0cf7b4789f26841329aca01d6b0b9a">XHXH5URLUserThirdCustomer</a> = <span class="stringliteral">@&quot;h5url_third_customer&quot;</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#aaa7b957d1b93371873d7b128737dedaf">   55</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#aaa7b957d1b93371873d7b128737dedaf">XHXSpeedMonitorNeedDownload</a> = <span class="stringliteral">@&quot;needDownload&quot;</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a4e52ee4dc3d6ff4c2a5e48d88d85fd31">   56</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a4e52ee4dc3d6ff4c2a5e48d88d85fd31">XHXPWDLevelCheckRegular</a> = <span class="stringliteral">@&quot;pwd_level_check_regular&quot;</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a0a82f9b3986722816b68045c5b81d926">   57</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a0a82f9b3986722816b68045c5b81d926">XHXH5DoHomeworkurl</a> = <span class="stringliteral">@&quot;h5url_doHomework&quot;</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a20bb695175ecceac8969bf2527c19eec">   58</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a20bb695175ecceac8969bf2527c19eec">XHXH5ChekHomeworkReporUrl</a> = <span class="stringliteral">@&quot;h5url_checkHomework&quot;</span>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">//家长监控</span></div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="_x_h_x_u_r_l_config_8m.html#a34280465277803f5fcb92cfba4ddd3bc">   60</a></span>&#160;NSString *<span class="keyword">const</span> <a class="code" href="_x_h_x_u_r_l_config_8m.html#a34280465277803f5fcb92cfba4ddd3bc">XHXH5ParentMonitorGuideUrl</a> = <span class="stringliteral">@&quot;h5url_parent_monitor_guide&quot;</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;+ (void)load {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchUserCenterShareUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URDownload];</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchPWDCheckRegular handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXPWDLevelCheckRegular];</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }];</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchUserCenterPointCenterUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLPOINT];</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    }];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchUserAchievementShareUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLAchievementShare];</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }];</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="comment">//    课程详情</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetCourseDetailURL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLLiveDetail];</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    }];</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="comment">//    订单确认</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetConfirmOrderURL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLConfirmOrder];</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    }];</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="comment">//  支付成功</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetPaySuccessURL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLPaySuccess];</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    }];</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="comment">// 教师链接</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetTeacherH5URL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLTeacher];</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    }];</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    [[XHXRouter router] addRouteUrl:@&quot;XHXUrlConfig/globalApiUrl&quot; handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="comment">//这里取配置中的api接口信息 可能返回空</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXGlobalApiUrl];</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    }];</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    </div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    [[XHXRouter router] addRouteUrl:@&quot;XHXUrlConfig/getUrl&quot; handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        NSString *key = parameters[@&quot;configKey&quot;];</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        if (key.length) {</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:key];</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        }</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        return nil;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    }];</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    </div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="comment">//推荐奖励</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchUserCenterInviteAwardsUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLInviteAwardH5Url];</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    }];</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="comment">//团购详情页</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetCourseGroupDetailURL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLJoinGroupDetail];</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    }];</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="comment">//课程联报查看详情页</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineGetCourseJointOfferURL handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLJointOffer];</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    }];</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="comment">//组合课程查看详情页</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineFetchCombineCoursesUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLCombinedCourseDetail];</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    }];</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="comment">//普通商品</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    [[XHXRouter router] addRouteUrl:@&quot;KKLOnline/fetchCoursesUrl&quot; handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLProductCourseDetail];</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    }];</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineCertificateDetailUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLCertificateDetail];</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    }];</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineExistActivity handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLUserCenterExistActivity];</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    }];</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineExistOrder handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLUserCenterOrder];</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    }];</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineExchangeCourseCenter handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLUserExchangeCourseCenter];</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    }];</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineXSCMode handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXXSCMode];</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    }];</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineThirdCustomer handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5URLUserThirdCustomer];</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    }];</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    </div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineDoHomeworkUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5DoHomeworkurl];</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    }];</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlinehoemworkReportUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5ChekHomeworkReporUrl];</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    }];</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="comment">//家长监控</span></div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    [[XHXRouter router] addRouteUrl:KKLOnlineParentMonitorGuideUrl handleBlock:^id(NSDictionary&lt;NSString *,id&gt; *parameters) {</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        return [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> <a class="code" href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">URLForKey</a>:XHXH5ParentMonitorGuideUrl];</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    }];</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;}</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;+ (void)fetchAllURLOnEnv:(NSString *)env forceUpdate:(BOOL)force complete:(<span class="keywordtype">void</span>(^)(NSString *env))completeBlock {</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keywordflow">if</span> (force) {</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> *task = [<a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> task];</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        [[task post] subscribeNext:^(URLFetchTask *task) {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            [task archiveTask];</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> dealWithTask:task OnEnv:env complete:completeBlock];</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        }];</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> *unarchiveTask = [<a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> unarchiveTask];</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        <span class="keywordflow">if</span> (unarchiveTask &amp;&amp; [NSDate.date timeIntervalSince1970] - unarchiveTask.archiveTimeStamp &lt;= 60*60*2) {</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;            [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> dealWithTask:unarchiveTask OnEnv:env complete:completeBlock];</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            <a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> *task = [<a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> task];</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;            [[task post] subscribeNext:^(URLFetchTask *task) {</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;                [task archiveTask];</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;                [<a class="code" href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a> dealWithTask:task OnEnv:env complete:completeBlock];</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            }];</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        }</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    }</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;}</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160; </div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;+ (void)dealWithTask:(<a class="code" href="interface_u_r_l_fetch_task.html">URLFetchTask</a> *)task OnEnv:(NSString *)env  complete:(<span class="keywordtype">void</span>(^)(NSString *env))completeBlock {</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordflow">if</span> (!task.<a class="code" href="interface_u_r_l_fetch_task.html#a9feec50b6e08a5b75e0aeb79ee046b22">resultList</a>) {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        return ;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    }</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    NSMutableDictionary *newDic = [NSMutableDictionary dictionary];</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="comment">//将服务器返回的list转换成字典</span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <span class="keywordflow">for</span> (NSDictionary *dic in task.<a class="code" href="interface_u_r_l_fetch_task.html#a9feec50b6e08a5b75e0aeb79ee046b22">resultList</a>) {</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <span class="keywordflow">if</span> ([dic[<span class="stringliteral">@&quot;key&quot;</span>] isEqualToString:<a class="code" href="_x_h_x_u_r_l_config_8m.html#adaee12d5d913085d37df8cb1f78a7660">XHXGlobalApiUrl</a>]) {</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            <span class="comment">//如果是接口配置 api接口配置返回的是api接口列表的数组（json字符串形式）</span></div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;            <span class="comment">//因此需要从这个字符串中转成数组 并获取第一个</span></div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            NSString *globalApiUrl = [<span class="keyword">self</span> findCurrentGlobalApiUrlFromConfigList:dic[@&quot;value&quot;]];</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;            </div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            NSMutableString *host = [<span class="keyword">self</span> appendApiDoWithString:globalApiUrl];</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;            <span class="keywordflow">if</span> (dic[<span class="stringliteral">@&quot;key&quot;</span>] &amp;&amp; globalApiUrl) {</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;                [newDic setObject:host forKey:dic[@&quot;key&quot;]];</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            }</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            NSString *keyStr = dic[@&quot;key&quot;];</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;            NSString *valueStr = dic[@&quot;value&quot;];</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            <span class="keywordflow">if</span> (keyStr &amp;&amp; valueStr) {</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;                [newDic setObject:valueStr forKey:keyStr];</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;            }</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        }</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    }</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    [newDic writeToFile:[<span class="keyword">self</span> filePath] atomically:YES];</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordflow">if</span> (completeBlock) {</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        completeBlock(env);</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    }</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;}</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160; </div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;+ (NSMutableString *)appendApiDoWithString:(NSString *)hostString {</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    NSMutableString *host = hostString.mutableCopy;</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keywordflow">if</span> ([host hasSuffix:<span class="stringliteral">@&quot;/&quot;</span>]) {</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        [host appendString:@&quot;api.do&quot;];</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        [host appendString:@&quot;/api.do&quot;];</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    }</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    <span class="keywordflow">return</span> host;</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;}</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160; </div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;+ (NSString *)URLForKey:(NSString *)key {</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    NSString *URLStr = nil;</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    NSDictionary *URLDict = [NSDictionary dictionaryWithContentsOfFile:[<span class="keyword">self</span> filePath]];</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <span class="keywordflow">if</span> (URLDict) {</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;        URLStr = [URLDict objectForKey:key];</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;        NSString *bundlePath = [[NSBundle mainBundle] pathForResource:@&quot;URLConfig&quot; ofType:@&quot;plist&quot;];</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;        NSDictionary *bundleDict = [NSDictionary dictionaryWithContentsOfFile:bundlePath];</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        URLStr = [bundleDict objectForKey:key];</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    }</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    <span class="keywordflow">return</span> URLStr;</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;}</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160; </div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;+ (NSString *)findCurrentGlobalApiUrlFromConfigList:(NSString *)configList</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;{</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    <span class="comment">//转成数组</span></div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    NSArray *apiList = [NSArray yy_modelWithJSON:configList];</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordflow">if</span> (apiList.count) {</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;        <span class="keywordflow">return</span> apiList.firstObject;</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    }</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    </div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    <span class="keywordflow">return</span> nil;</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    </div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;}</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160; </div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;<span class="preprocessor">#pragma mark - private</span></div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160; </div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;+ (NSString *)filePath {</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    NSString *path = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES).firstObject;</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;    NSString *URLPath = [path stringByAppendingPathComponent:@&quot;URLConfig.plist&quot;];</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    <span class="keywordflow">return</span> URLPath;</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;}</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_abe597e6a3a1b0145f6c18f45851c4e40"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#abe597e6a3a1b0145f6c18f45851c4e40">XHXH5URLAboutUs</a></div><div class="ttdeci">NSString *const XHXH5URLAboutUs</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00021">XHXURLConfig.m:21</a></div></div>
<div class="ttc" id="a_u_r_l_fetch_task_8h_html"><div class="ttname"><a href="_u_r_l_fetch_task_8h.html">URLFetchTask.h</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a95f4bbc470574f450f2a2af3160a8350"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a95f4bbc470574f450f2a2af3160a8350">XHXH5URLLiveDetail</a></div><div class="ttdeci">NSString *const XHXH5URLLiveDetail</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00037">XHXURLConfig.m:37</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a7ee52f2927d631ff8af44697fc1b1efb"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a7ee52f2927d631ff8af44697fc1b1efb">XHXH5URLInviteAwardH5Url</a></div><div class="ttdeci">NSString *const XHXH5URLInviteAwardH5Url</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00040">XHXURLConfig.m:40</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a04ab980517fde16969e8545f4090ad98"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a04ab980517fde16969e8545f4090ad98">XHXH5URLCourse</a></div><div class="ttdeci">NSString *const XHXH5URLCourse</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00022">XHXURLConfig.m:22</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a6d876928447522dc4ff9d46a5c90b1a6"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a6d876928447522dc4ff9d46a5c90b1a6">XHXH5URLAchievementShare</a></div><div class="ttdeci">NSString *const XHXH5URLAchievementShare</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00039">XHXURLConfig.m:39</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a40e74b9e955d71116e73a4f1f81065e5"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a40e74b9e955d71116e73a4f1f81065e5">XHXXSCMode</a></div><div class="ttdeci">NSString *const XHXXSCMode</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00051">XHXURLConfig.m:51</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a373e0cb97ee72202527c65a4b3d3177c"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a373e0cb97ee72202527c65a4b3d3177c">XHXH5URLTeacher</a></div><div class="ttdeci">NSString *const XHXH5URLTeacher</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00023">XHXURLConfig.m:23</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a3ec3c2e1a8886b39f6e1170200b6d99b"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a3ec3c2e1a8886b39f6e1170200b6d99b">XHXH5URLConfirmOrder</a></div><div class="ttdeci">NSString *const XHXH5URLConfirmOrder</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00035">XHXURLConfig.m:35</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_adaee12d5d913085d37df8cb1f78a7660"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#adaee12d5d913085d37df8cb1f78a7660">XHXGlobalApiUrl</a></div><div class="ttdeci">NSString *const XHXGlobalApiUrl</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00016">XHXURLConfig.m:16</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_ab880c362182f704adebce4446d44c0a0"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#ab880c362182f704adebce4446d44c0a0">XHXH5URLReport</a></div><div class="ttdeci">NSString *const XHXH5URLReport</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00033">XHXURLConfig.m:33</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a3259d7dd84cb1dcfc07376fa4f43839f"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a3259d7dd84cb1dcfc07376fa4f43839f">XHXH5URLPOINT</a></div><div class="ttdeci">NSString *const XHXH5URLPOINT</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00038">XHXURLConfig.m:38</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a9ba11dc72ac70c6770cab5e514992180"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a9ba11dc72ac70c6770cab5e514992180">XHXH5URLearReport</a></div><div class="ttdeci">NSString *const XHXH5URLearReport</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00028">XHXURLConfig.m:28</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a4e52ee4dc3d6ff4c2a5e48d88d85fd31"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a4e52ee4dc3d6ff4c2a5e48d88d85fd31">XHXPWDLevelCheckRegular</a></div><div class="ttdeci">NSString *const XHXPWDLevelCheckRegular</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00056">XHXURLConfig.m:56</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a481b75bbcbace5d55b685931fe2a1e08"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a481b75bbcbace5d55b685931fe2a1e08">XHXH5URLSummary</a></div><div class="ttdeci">NSString *const XHXH5URLSummary</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00027">XHXURLConfig.m:27</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a1e0cf7b4789f26841329aca01d6b0b9a"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a1e0cf7b4789f26841329aca01d6b0b9a">XHXH5URLUserThirdCustomer</a></div><div class="ttdeci">NSString *const XHXH5URLUserThirdCustomer</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00052">XHXURLConfig.m:52</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a29f8e637003d0d85e052f8a1f4ea8338"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a29f8e637003d0d85e052f8a1f4ea8338">XHXH5URLJoinGroupDetail</a></div><div class="ttdeci">NSString *const XHXH5URLJoinGroupDetail</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00042">XHXURLConfig.m:42</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_aeca2885c076e2a6614eeeaf7e94bb79d"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#aeca2885c076e2a6614eeeaf7e94bb79d">XHXH5URLRank</a></div><div class="ttdeci">NSString *const XHXH5URLRank</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00034">XHXURLConfig.m:34</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_ab174655c3ba37030dcf5a2053823c559"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#ab174655c3ba37030dcf5a2053823c559">XHXH5URLessonsSum</a></div><div class="ttdeci">NSString *const XHXH5URLessonsSum</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00024">XHXURLConfig.m:24</a></div></div>
<div class="ttc" id="a_x_h_x_env_url_loader_8h_html"><div class="ttname"><a href="_x_h_x_env_url_loader_8h.html">XHXEnvUrlLoader.h</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a2528e238becb8766525670fa9a828d03"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a2528e238becb8766525670fa9a828d03">XHXH5URLProductCourseDetail</a></div><div class="ttdeci">NSString *const XHXH5URLProductCourseDetail</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00046">XHXURLConfig.m:46</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a0838d5701314ee1ac1d594c97d92642d"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a0838d5701314ee1ac1d594c97d92642d">XHXH5URLUserCenterExistActivity</a></div><div class="ttdeci">NSString *const XHXH5URLUserCenterExistActivity</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00048">XHXURLConfig.m:48</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_aaa7b957d1b93371873d7b128737dedaf"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#aaa7b957d1b93371873d7b128737dedaf">XHXSpeedMonitorNeedDownload</a></div><div class="ttdeci">NSString *const XHXSpeedMonitorNeedDownload</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00055">XHXURLConfig.m:55</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_ac1c74e818b26716c57b93b48b5530455"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#ac1c74e818b26716c57b93b48b5530455">XHXH5URLJointOffer</a></div><div class="ttdeci">NSString *const XHXH5URLJointOffer</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00043">XHXURLConfig.m:43</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a25b97595a1fffce296a851b5cd3f913d"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a25b97595a1fffce296a851b5cd3f913d">XHXH5URDownload</a></div><div class="ttdeci">NSString *const XHXH5URDownload</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00026">XHXURLConfig.m:26</a></div></div>
<div class="ttc" id="ainterface_u_r_l_fetch_task_html_a9feec50b6e08a5b75e0aeb79ee046b22"><div class="ttname"><a href="interface_u_r_l_fetch_task.html#a9feec50b6e08a5b75e0aeb79ee046b22">URLFetchTask::resultList</a></div><div class="ttdeci">NSArray * resultList</div><div class="ttdef"><b>Definition:</b> <a href="_u_r_l_fetch_task_8h_source.html#l00012">URLFetchTask.h:12</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a84a1883e647e9b930bb3434eed6ec149"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a84a1883e647e9b930bb3434eed6ec149">XHXH5URLPaySuccess</a></div><div class="ttdeci">NSString *const XHXH5URLPaySuccess</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00036">XHXURLConfig.m:36</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a30dff0275b5198e72899ed87b244621f"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a30dff0275b5198e72899ed87b244621f">XHXWebSocketURL</a></div><div class="ttdeci">NSString *const XHXWebSocketURL</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00018">XHXURLConfig.m:18</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a187f90995ba39c1c1cc470fbe6bea644"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a187f90995ba39c1c1cc470fbe6bea644">XHXH5URLClassicQuestion</a></div><div class="ttdeci">NSString *const XHXH5URLClassicQuestion</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00031">XHXURLConfig.m:31</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a20bb695175ecceac8969bf2527c19eec"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a20bb695175ecceac8969bf2527c19eec">XHXH5ChekHomeworkReporUrl</a></div><div class="ttdeci">NSString *const XHXH5ChekHomeworkReporUrl</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00058">XHXURLConfig.m:58</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a89646e5582fabeb61e5b7b4cba96009f"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a89646e5582fabeb61e5b7b4cba96009f">XHXH5URLShareYearReport</a></div><div class="ttdeci">NSString *const XHXH5URLShareYearReport</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00029">XHXURLConfig.m:29</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a0a82f9b3986722816b68045c5b81d926"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a0a82f9b3986722816b68045c5b81d926">XHXH5DoHomeworkurl</a></div><div class="ttdeci">NSString *const XHXH5DoHomeworkurl</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00057">XHXURLConfig.m:57</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a634f310f026e991b53f226752fa4ecd3"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a634f310f026e991b53f226752fa4ecd3">XHXH5URLHomework</a></div><div class="ttdeci">NSString *const XHXH5URLHomework</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00030">XHXURLConfig.m:30</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a98cb4a0d14372a3ac0c49f1acf0c2d2e"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a98cb4a0d14372a3ac0c49f1acf0c2d2e">XHXH5URLUserProtocol</a></div><div class="ttdeci">NSString *const XHXH5URLUserProtocol</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00025">XHXURLConfig.m:25</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8h_html"><div class="ttname"><a href="_x_h_x_u_r_l_config_8h.html">XHXURLConfig.h</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a34280465277803f5fcb92cfba4ddd3bc"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a34280465277803f5fcb92cfba4ddd3bc">XHXH5ParentMonitorGuideUrl</a></div><div class="ttdeci">NSString *const XHXH5ParentMonitorGuideUrl</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00060">XHXURLConfig.m:60</a></div></div>
<div class="ttc" id="ainterface_x_h_x_u_r_l_config_html"><div class="ttname"><a href="interface_x_h_x_u_r_l_config.html">XHXURLConfig</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8h_source.html#l00049">XHXURLConfig.h:50</a></div></div>
<div class="ttc" id="ainterface_x_h_x_u_r_l_config_html_a77e3347ac3c554389b6f75f37b93d1e5"><div class="ttname"><a href="interface_x_h_x_u_r_l_config.html#a77e3347ac3c554389b6f75f37b93d1e5">+[XHXURLConfig URLForKey:]</a></div><div class="ttdeci">NSString * URLForKey:(NSString *key)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00060">XHXURLConfig.m:236</a></div></div>
<div class="ttc" id="ainterface_u_r_l_fetch_task_html"><div class="ttname"><a href="interface_u_r_l_fetch_task.html">URLFetchTask</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_r_l_fetch_task_8h_source.html#l00011">URLFetchTask.h:12</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a33deb3a8b0a28ffacdb15169d8a8386e"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a33deb3a8b0a28ffacdb15169d8a8386e">XHXH5URLErrorBook</a></div><div class="ttdeci">NSString *const XHXH5URLErrorBook</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00019">XHXURLConfig.m:19</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a08047bf7f28cfe60a5d97b0250a314e0"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a08047bf7f28cfe60a5d97b0250a314e0">XHXH5URLCertificateDetail</a></div><div class="ttdeci">NSString *const XHXH5URLCertificateDetail</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00047">XHXURLConfig.m:47</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_af7dd6c4e67baa8020c49c4996a8dc44e"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#af7dd6c4e67baa8020c49c4996a8dc44e">XHXH5URLUserCenterOrder</a></div><div class="ttdeci">NSString *const XHXH5URLUserCenterOrder</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00049">XHXURLConfig.m:49</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a2404efaa9f11e44364b9ec8a5c455e12"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a2404efaa9f11e44364b9ec8a5c455e12">XHXH5URLLearningReport</a></div><div class="ttdeci">NSString *const XHXH5URLLearningReport</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00032">XHXURLConfig.m:32</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_aebf7b01e3016df35a621fdb2266539c2"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#aebf7b01e3016df35a621fdb2266539c2">XHXH5URLCombinedCourseDetail</a></div><div class="ttdeci">NSString *const XHXH5URLCombinedCourseDetail</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00045">XHXURLConfig.m:45</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a393889240a2e1bb145bcaeac49fb3109"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a393889240a2e1bb145bcaeac49fb3109">XHXH5URLWeekReport</a></div><div class="ttdeci">NSString *const XHXH5URLWeekReport</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00020">XHXURLConfig.m:20</a></div></div>
<div class="ttc" id="a_x_h_x_u_r_l_config_8m_html_a8482b5ab9f8b01be9e96d1f7ce813710"><div class="ttname"><a href="_x_h_x_u_r_l_config_8m.html#a8482b5ab9f8b01be9e96d1f7ce813710">XHXH5URLUserExchangeCourseCenter</a></div><div class="ttdeci">NSString *const XHXH5URLUserExchangeCourseCenter</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_u_r_l_config_8m_source.html#l00050">XHXURLConfig.m:50</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_a6a71d5a5ac05094e63f66b899b717ad.html">URLConfig</a></li><li class="navelem"><a class="el" href="_x_h_x_u_r_l_config_8m.html">XHXURLConfig.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
